"""
This is a setup.py script generated by py2applet

See build.py for enclosing script and notes.

Usage:
    python setup.py py2app
"""

from setuptools import setup

APP = ['PyEdit.py']    # must match the source name

DATA_FILES = []        # not used here

INCLUDES = []          # <= replaced by include-full-stdlib.py


OPTIONS = {
    # some options (icon, resources, excludes) come from the command-line too
    # see build.py for the command line that uses this file

    # ADDED: PyEdit runs arbitrary code
    'includes': INCLUDES,
    
    # CHANGED: it's broken
    'argv_emulation': False,

    # ADDED: don't edit Info.plist file (some plist entries are automatic)
    'plist': {
        # bundle details
        'CFBundleName':          'PyEdit',
        'CFBundleDisplayName':   'PyEdit',
        'CFBundleExecutable':    'PyEdit',   # also automatic
        'CFBundleGetInfoString': 'A Python/Tk Text Editor',

        # version/org details        
        'CFBundleVersion':            '3.0.0',
        'CFBundleShortVersionString': '3.0.0',
        'CFBundleIdentifier':
            'org.lutzware.PyEdit',     # must be unique for Lanchpad
        'NSHumanReadableCopyright':
            'Copyright © 2000-2017, M. Lutz (learning-python.com)',

        # declare common associatable types
        'CFBundleDocumentTypes': [
            { # types for which PyEdit is suggested (can still be selected for others)
             'CFBundleTypeExtensions': ['txt', 'html',        # bread and butter text
                                        'py',  'pyw',         # ditto: python source code
                                        'xml', 'ics',         # xml docs, calendar data
                                        'css', 'cgi',         # web styles, some scripts
                                        'c',   'cxx', 'h'],   # c/c++ development: pysrc
             'CFBundleTypeIconFile':   'pyedit.icns',
             'CFBundleTypeName':       'Text or code file',
             'CFBundleTypeRole':       'Editor'
            }
        ]            
    }
}

setup(
    app=APP,
    data_files=DATA_FILES,
    options={'py2app': OPTIONS},
    setup_requires=['py2app'],
)
